Welcome to my Web site

Cornolius™ Pro Help

Introduction

Cornolius Pro is an innovative database application for building and managing custom databases to be used for wide range of needs. Cornolius Pro is an easy-to-use program targeted at businesses as well as individuals. Whether to build secure and complex database structures for inventory tracking, or simply to keep lists of contacts and customers information, Cornolius Pro can be perfectly adapted for the task.

Cornolius Pro is purely a stand-alone application and allows for multiple users. Being a stand-alone application, Cornolius Pro does not rely on other database engines to operate, i.e., It will work immediately when installed on Windows with no other installations. Also, the program meets the requirements of use in businesses by being multi-user, as each database is secured by a password and by users' privileges. This implies that a database can be accessed by different users, whereby each user might be assigned with a different level of privileges by the database owner.

As a database program, this solution operates on a new dimension of simplicity. With its intuitive and easy-to-use interface, Cornolius Pro is a walk in a park when compared to current database applications. Cornolius Pro is a very powerful product but at the same time, it isolates the user from the complexity of database construction and management. This way, the user can concentrate more on the design of the database and not worry about how it will be built and managed.

Cornolius Pro has a variety of useful and unique characteristics and features. A key characteristic is customizability. As tables are created, Cornolius Pro offers the user the capability of designing a unique form for each table. The table form specifies how the table would be displayed including each column (or field) location, size, color, and font. Among the features there are transactional support, database backup and restore, the ability to export a database for use on a Web site, and logging of all database activities to a file.

last updated 01/18/05


Creating a new database

To create a new database, log on to Cornolius™ Pro with a user name and password. You will be prompted if you want to create a new database, press “Create New” button and a wizard appears. Any database you create will appear under your user name, so next time log on with the same user name and password to be able to open your database. The wizard is straightforward and includes its own integrated help system. It will help you to create databases, users, parent and child tables.
Below are step by step detailed instructions:

Step 1: Run Cornolius™ Pro and log in with your choice of a user name and password. Remember your user name and password, because they are the only way to later open the database that you are going to create now.
Step 2: The log in form will show you a "Create New" button. Press this button.
Step 3: A wizard appears. This wizard will help you through the process of creating your database. It has a "Help" button, use it whenever you need help on any of the steps of database creation. It has a "Cancel" button, use to go out of the wizard at anytime without making any changes. It has also a "Back", "Next", and "Finish" buttons. Press the "Next" button.
Step 4: Enter a name for your database, in the "Database Name" field. This field shows "DataBase1" as a default name. In the "Owner Full Name" field, enter your personal full name (not your user name) since you will be the owner of the database. It is necessary to enter your full name because by doing that you can in the future create other databases with other user names, however all of them will have in common your unchangeable personal name.
Step 5: (Optional) enter a password that will protect your database in "Database Password" field. You can give this password to any person that you wish to be able to view your database. That person can log with any user name and the database password and open the database for viewing only (, i.e. Read-Only). If you want that person to have higher permissions like writing and deleting then you need to create for that person a user (with a password) in your database (will be explained in a few steps). If you do not enter a yourself a database password, then by default the database will be given a password which is the same password you use it to log in at the beginning.
Step 6: In "Database's Audited Events" check boxes, you can check the events that will be written to the event log. The event log is a chronological file that can register all events that occurs from the moment of log on to the database to the moment of log out. There are 14 events to consider: "Log On", "Transaction", "Owner Change", "User Creation", "Table Creation", "Table Deletion", "Linked Table Creation", "Linked Table Deletion", "Tables Unlinking", "Tables Linking", "Record Addition", "Record Update", "Record Deletion", "Errors". Select which events you want them to be registered. For example, if you check "Log On" check box, then all users who log on to the database will be registered (time date name), if you check "Record Update" check box, then for all records that gets updated, the record key, the user, and time and date of the update gets registered.
Step 7: Press the "Browse" button to browse for the directory where you want to save your database.
Step 8: Press "Next" button to move on to step 2 of the wizard.
Step 9: (Optional) Add users to your database. Your user name is added by default. to add another user, fill the "User Name" field with your choice of a user name. Give it a password in "Password" field. Enter the full name of the person for whom you are creating a user in your database. Enter the user description, for example, for what this user account will be used. Select the permission level for the user: Read (for only reading the database content), Rd/wr (for reading and writing to the database), Delete (for reading, writing, and deleting from the database). The "User Account Disabled" check box can be checked to disable the user account, i.e., user cannot open the database. Press "Add User" button to add the user to your database.
Step 10: Press Next to move to step 3 of the wizard.
Step 11: Add tables to your database. Enter a table name in "Table Name" field. By default, this field is filled with "Table1" as the table name.
Step 12: Specify how many columns (or fields) the table should contain. Select a number between 1 and 10 from "Number of Fields" combo box. Depending on the number you selected, fields will appear on the right. With these fields, you specify the table's columns names. By default, they are filled with "Field 1", "Field 2", ... . On the right of each field there is a check box. You check this check box if you want the corresponding field (or column) to be the primary key of the table. A primary key designate a unique value to identify a row in a table. By default, the first column is selected to be the key. Alternatively, you can select more than one column (up to 4) to be the key of the table. This completes the first table creation. If you want to create another table, press "Build Another Table" button and repeat the step for the second table.
Step 13: Press Next to move to step 4 of the wizard.
Step 14: (Optional) In this part of the wizard you can either create a new child (or linked) table, or link two tables together with foreign-primary key relationship. Note that a table can be both a child of one table and a parent of another. THE TABLE THAT WILL BE CONSIDERED AS PARENT IN THIS STEP IS THE TABLE THAT YOU'VE LASTLY CREATED OR SELECTED IN THE PREVIOUS STEP. To select another table as a parent, press "Back" button, click "Existing" tab of the wizard, and select on the right the table you want, then press Next to continue. Child (or linked) tables have the first field as primary key. This primary key would exist in another table as a foreign key. Such relationship would establish the linkage between two tables. To create a new child (or linked) table, select fields in parent table that you want to link tables to. These fields are represented by buttons that you can toggle and act as foreign keys for which there are primary keys in child tables. After selecting the fields, press "Build Linked Table(s)" button. Next, set the number of fields you want in the first child table (linked to the first selected foreign key in parent table). Then fill the fields names for this child and press "Create Linked Table" button. If you have selected in the parent more than one field to be a foreign key, set the number of fields of the second child table, fill fields names, and again press "Create Linked Table" button. Repeat this process for all foreign keys. To link two tables, click "Existing" tab on the wizard. Now select on the left lists the fields you want them to be foreign keys and on the right lists select their linked tables, then press "Build Field/Table link(s)" button. To work on another table press Back to go the previous step select another table from the "Existing" tab, then press Next to return to this step and repeat.
Step 15: Press Next then Finish to complete your database creation process.


Adding new records

Below are instructions for adding, updating, deleting, cutting, pasting, attaching, sorting, searching, and printing:

Step 1: Open Displayer form. You see 3 lists on the left. The lower left list displays your own databases (if you have created more than one).
Step 2: Select the database. The middle list displays the tables that form the selected database.
Step 3: Select the table that you want to add new records to from the middle list.
Step 4: Enter the record info in the designated text fields and press “Ctrl+A” keys to add the record to the table (It can be added also from the File menu or by pressing the Add button on the toolbar). In the upper left list, you’ll see the record key appears. This list displays all record keys that you add. If you want to update a record, make your changes directly to the record and press "Ctrl+U" to update. Delete a record by selecting delete from the File menu. You can search for a particular word or phrase in a specific column in your table by clicking the column (field) you want to search and then pressing "Ctrl+F". An input box appears. Enter the term you want to search for and press OK. Cornolius™ Pro will take you to the first record containing the term. Press "F3" successively to find more records containing the term. If you want to search all columns of a table press "Shift+F3". To print a record, press "Ctrl+P". To print more than one record, use the checkboxes in the records list. Check the records you want to print and press "Shift+F2" or select Print Checked Records from the File menu. An interesting feature in record manipulation is the cut/paste process. You can cut a record (or many checked records) and paste it (or them) in another location in the table. Cut and paste are found in the Edit menu.
Step 5: (Optional) You can add an attachment to the record. This attachment can be a sound file, a movie file, a picture file, or a text file. Actually, you can add as many attachments as you want to a particular record. Cornolius™ Pro recognizes automatically the format of the attachment and displays for it the appropriate icon in the right side list. You can click this icon and Cornolius™ Pro will show it to you depending on its type. If it was a sound or a movie file then Cornolius™ Pro will play it in the internal sound or movie player. If it was a picture or a text file, then it will be shown in picture viewer or text editor, respectively. To add an attachment, from File menu, select Attach to this Record or press “Attach” button on the toolbar. An Open dialog appears, browse for the file you want to attach, double-click it or press Open.
Step 6: (Optional) After adding many records, you can choose to sort these records by any column (field). From the File menu go to Management then to Sort By sub menu and select the column to sort by.


Adding new notes

Cornolius™ Pro allows to add user/database specific notes. That means the notes are specific to the logged on user and to the database, so the user can have different sets of notes for each database.

Step 1: Log in to Cornolius™ Pro and select the database you want to add notes to.
Step 2: To add a note press "Ctrl+K". NoteTaker appears.
Step 3: Write your note and press Save button on NoteTaker toolbar. The note will be saved with the date automatically.
Step 4: To Add a new note, press New on NoteTaker toolbar and repeat step 2.
Step 5: Press Previous and Next buttons on NoteTaker Toolbar to navigate through your notes.


Designing table form

As tables are created, Cornolius Pro offers you the capability of designing a unique form for each table. The table form specifies how the table would be displayed including each column's (field) and title's (label) location, size, color, and font. You can specify specify the form's size, color, and picture. To start designing table form:

Step 1: Select a table from Displayer.
Step 2: Press “Ctrl+D”. You will enter the design mode. A small curtain is lowered above the Displayer to show various properties to modify.
Step 3: You can select a control (textbox, label, list) by clicking it. Select a textbox. Four small rectangles appears on the control's (textbox) corners. The above curtain shows in the Style box whether the textbox appearance is 3-D or Flat. If 3-D button is pressed then you can press the Flat button to make the textbox appear flat, and vice versa. You can change the text alignment inside the textbox to be written in the center, left, or right. The color of the textbox can be changed by clicking the color rectangle. If you want to change the font of the text that will be written inside the textbox, click the Font box near the Style box. The next one, Geometry box changes the location and dimension of the textbox, but these can be changed by directly manipulating the textbox as will be mentioned below in the next step. Finally, the Control box allows you to select the control (textbox, label, list) you want to work with, but also this is not necessary since you select the control by just clicking it with your mouse. Note that you can click the form containing the controls. The lower right rectangle of the four small rectangles that appears allows to resize the form. In the Style box click the picture rectangle to change the form picture or click the color rectangle to change its color.
Step 4: To resize a control, use the lower right rectangle of the four rectangles appearing on the corners. Press it with the mouse left button, keep it pressed and move the mouse to resize the control then release the mouse left button.
Step 5: To move a control around, press the mouse left button on the control, keep it pressed and move the control to a new location then release the mouse left button.

PS: If you want to change the background picture (or color) of the Displayer that contains the table form. Right click your mouse on the Displayer. On the menu that appears, click Displayer Picture and select new. You will be prompted to find and select the picture you want (to change only the color, click the Tools menu then Settings and Displayer Color). Same procedure can be done, if you want to apply a picture (or color) for Cornolius Pro. Just right click the MDI form behind the Displayer.


Using a database transaction

You can use a transaction while working on a database. The transaction ensures that either all modifications performed on the database are committed to the database or none are committed. Transactional support allows you to roll back your database to a particular point of time (where the transaction begun). How does it work?

Step 1: Open a database with the Displayer.
Step 2: Press on the toolbar “Begin Transaction” button (recording sign).
Step 3: Make many database modifications, like adding new tables and records (or deleting tables or records).
Step 4: Now, you can choose to either commit (permanently write) all these modifications to the database or rollback the database to its original state before starting the transaction. To rollback, press “Abort Transaction” button (stop sign). To commit, press “Commit Transaction” button (play sign).


Backup/restore a database

You are encouraged to back up your database from time to time. This is a very easy process in Cornolius™ Pro, just click back up from File/Management menu or from Options. Cornolius™ Pro automatically restores a database from a back up file upon request and that by pressing Restore from File/Management or from Options.

Step 1: Log in to Cornolius™ Pro.
Step 2: Select Options from the Tools menu.
Step 3: Click Backup/Restore tab on the Options form.
Step 4: Select the database that you want to backup or restore from the database list on the left.
Step 5: Set your choice (backup or restore) on the radio buttons.
Step 6: Press the Browse button to either specify the location where you want to save the backup or to search for a backup to restore the selected database.


Export a database

You can export a database to another location, a web page, a text file, or to a MS Access® file format (.mdb). You can do that from the File menu or from Options. The entire database can be written in HTML format and transformed to a web site automatically. Parent-Child relationships will be conserved. If you want to preview your database in HTML format before exporting, select from File menu Preview In and select In Browser sub menu. To export:

Step 1: Log in to Cornolius™ Pro.
Step 2: Select Options from the Tools menu.
Step 3: Click Export tab on the Options form.
Step 4: Select the database that you want to export from the database list on the left.
Step 5: Set your choice on the radio buttons.
Step 6: Press the Browse button to specify the location where you want to save the exported database.
(Note: The original database will remain the same, only a copy of it will be exported)


Options

Cornolius™ Pro is equipped with Options form through which you can perform many of the database management. Below are information about Options' nine categories:

1-Databases: changes a selected database password and ownership. Select the database, you want to make changes on, from the databases list on the left. To change its current password, enter the new password in the password field and confirm it in the below field then press Change button. To transfer the ownership of the database from yourself to another user, select the user from the drop down list and press Transfer button. If you need to make structural changes to a database, press the Wizard button. On the wizard press Next button and click the Existing database tab. Select the database you want to work on from the list and press Next button.
2-Log: changes the current database logged activities. Check or uncheck checkboxes to log or not log current database activities. The View Log button shows the entire log of the current database. The list on the right shows the activities done in current session on current database, i.e., from the time of the login to the database.
3-Tables: changes a selected table's columns (fields) titles (labels). To change a table's labels, select a table from the tables list and write the new labels in the textboxes on the right.
4-Users: manages current database users. The list on the right shows the current database users. Select a user. On the left you can see the various information about this user. Make your changes and press Update User button. If you want to add a new user to this database. Fill in the textboxes with the required information about the new user. Set the user permissions level and press Add User. The Delete User button deletes a selected user (be careful not to delete yourself!).
5-Export: exports a selected database to another location in the file system, to a web page, to a text file, or to MS Access® file. Select the database you want to export from the databases list, select the export option, then select the export location in file system by pressing the Browse button.
6-Backup/Restore: backs up and restores a selected database. Select the database you want to backup or restore from the databases list. Select the option to backup or to restore then press the Browse button to either choose a backup (save) location or choose the restoration file.
7-Print: prints a selected table's records. Select a table from the tables list and press the Print button.
8-Sort: sorts a selected table's records according to a selected column (field). Select a table from the tables list. Click the field option to which the table's records will be sorted in ascending form.
9-Visual Effects: sets Displayer color and picture, designs current table form, sets default printer's fonts, and mutes sound effect.

PS: After you make all the changes you need in Options, press Apply button to apply your changes (some changes might be applied directly without pressing Apply). Pressing OK button will also apply your changes and closes the Options form.


Support

You can ask for support through:
Web Support
Email Support
Phone Support: +961 3 947845

Cornolius™ Pro ©mental9Production, 2005.